Bug 229525

Summary: net/vde2: error: use of undeclared identifier 'BIOCSHDRCMPLT'
Product: Ports & Packages Reporter: O. Hartmann <ohartmann>
Component: Individual Port(s)Assignee: Kurt Jaeger <pi>
Status: Closed FIXED    
Severity: Affects Many People CC: pi, w.schwarzenfeld
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
svn-diff-vde2 none

Description O. Hartmann 2018-07-05 05:00:13 UTC
This problem pops up on recent CURRENT, hosting a poudriere CURRENT jail and the port is part of packages being compiled via poudriere (also most recent version as of today). The problem is present on CURRENT, not RELENG!

[...]
/bin/sh ../libtool  --tag=CC   --mode=link cc  -Wall  -O2 -pipe  -fstack-protector -fno-strict-aliasing  -L/usr/local/lib -fstack-protector -o vdeterm vdeterm.o common/libvdecommon.la -lm lib/libvdeplug.la lib/libvdehist.la -ldl 
libtool: link: cc -Wall -O2 -pipe -fstack-protector -fno-strict-aliasing -fstack-protector -o .libs/vdeterm vdeterm.o  -L/usr/local/lib common/.libs/libvdecommon.a -lm lib/.libs/libvdeplug.so lib/.libs/libvdehist.so -ldl -Wl,-rpath -Wl,/usr/local/lib
depbase=`echo vde_pcapplug.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
cc -DHAVE_CONFIG_H -I. -I../include  -I../include -DSYSCONFDIR="\"/usr/local/etc\"" -DLOCALSTATEDIR="\"/var\"" -I/usr/local/include  -Wall  -O2 -pipe  -fstack-protector -fno-strict-aliasing -MT vde_pcapplug.o -MD -MP -MF $depbase.Tpo -c -o vde_pcapplug.o vde_pcapplug.c &&\
mv -f $depbase.Tpo $depbase.Po
vde_pcapplug.c:204:34: error: use of undeclared identifier 'BIOCSHDRCMPLT'
        { unsigned int i = 1; ioctl(fd, BIOCSHDRCMPLT, &i); }
                                        ^
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-11-02 14:54:05 UTC
Works  if you adding CONFIGURE_ARGS+=        --disable-pcap to the Makefile.
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-11-02 14:58:20 UTC
And remove bin/vde_pcapplug and man/man1/vde_pcapplug.1.gz from pkg-plist.
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-11-02 16:10:53 UTC
A better idea is:
add to
work/vde2-2.3.2/src/vde_pcapplug.c

#include <net/bpf.h>
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-11-02 16:22:09 UTC
Created attachment 198892 [details]
svn-diff-vde2
Comment 5 Kurt Jaeger freebsd_committer 2019-09-04 19:05:25 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2019-09-04 19:06:25 UTC
A commit references this bug:

Author: pi
Date: Wed Sep  4 19:05:23 UTC 2019
New revision: 511146
URL: https://svnweb.freebsd.org/changeset/ports/511146

Log:
  net/vde2: fix build error: use of undeclared identifier 'BIOCSHDRCMPLT'

  - fix build
  - change WWW to github
  - pet portlint

  PR:		229525
  Reported by:	O. Hartmann <ohartmann@walstatt.org>
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>

Changes:
  head/net/vde2/Makefile
  head/net/vde2/files/patch-src__dpipe.c
  head/net/vde2/files/patch-src_vde__pcapplug.c
  head/net/vde2/pkg-descr